Bug 81334 - Web Inspector: Implement snippets evaluation.
: Web Inspector: Implement snippets evaluation.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 75094
  Show dependency treegraph
 
Reported: 2012-03-16 05:09 PDT by Vsevolod Vlasov
Modified: 2012-03-20 10:47 PDT (History)
15 users (show)

See Also:


Attachments
Patch (6.52 KB, patch)
2012-03-16 05:12 PDT, Vsevolod Vlasov
pfeldman: review+
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Vlasov 2012-03-16 05:09:04 PDT
Implement snippets evaluation.
Comment 1 Vsevolod Vlasov 2012-03-16 05:12:11 PDT
Created attachment 132252 [details]
Patch
Comment 2 Pavel Podivilov 2012-03-16 05:17:15 PDT
Comment on attachment 132252 [details]
Patch

looks good!
Comment 3 Pavel Feldman 2012-03-16 05:37:29 PDT
Comment on attachment 132252 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=132252&action=review

> Source/WebCore/inspector/front-end/ConsoleView.js:665
> +    evaluateAndAppendResult: function(text)

Should evaluateUsingTextPrompt accept optional parameter that allows not showing the expression in the text prompt?
Comment 4 WebKit Review Bot 2012-03-16 05:47:38 PDT
Comment on attachment 132252 [details]
Patch

Attachment 132252 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11960375

New failing tests:
inspector/debugger/snippets-model.html
Comment 5 Vsevolod Vlasov 2012-03-19 12:02:46 PDT
Committed r111212: <http://trac.webkit.org/changeset/111212>
Comment 6 Szilard Ledan 2012-03-20 02:56:18 PDT
The inspector/debugger/snippets-model.html test fails on Qt.

--- /ramdisk/qt-linux-64-release/build/layout-test-results/inspector/debugger/snippets-model-expected.txt 
+++ /ramdisk/qt-linux-64-release/build/layout-test-results/inspector/debugger/snippets-model-actual.txt 
@@ -1,3 +1,4 @@
+FAIL: Timed out waiting for notifyDone to be called
 Tests snippets model.
 
 
@@ -37,9 +38,4 @@
 
 Running: testEvaluate
 Last evaluation source url for snippet: snippets://1_1
-Snippet script added, sourceURL = snippets://1_1
-Last evaluation source url for snippet: snippets://2_2
-Snippet script added, sourceURL = snippets://2_2
-Last evaluation source url for snippet: snippets://1_3
-Snippet script added, sourceURL = snippets://1_3
 
I will skip this until it is fixed.
Comment 7 Csaba Osztrogonác 2012-03-20 03:44:42 PDT
Reopen to fix it. Skipped on Qt - http://trac.webkit.org/changeset/111378/trunk/LayoutTests/platform/qt/Skipped

Please unskip with the proper fix.
Comment 8 Vsevolod Vlasov 2012-03-20 10:47:10 PDT
(In reply to comment #7)
> Reopen to fix it. Skipped on Qt - http://trac.webkit.org/changeset/111378/trunk/LayoutTests/platform/qt/Skipped
> 
> Please unskip with the proper fix.

Committed r111409: <http://trac.webkit.org/changeset/111409>